Skip to content
Permalink
Browse files
Use v1 instead of v1beta for Ingress
Ingress has been available in the v1 API since Kubernetes 1.19,
and as of 1.21 is no longer in the v1beta API.
  • Loading branch information
iamwillbar authored and kocolosk committed Jan 24, 2022
1 parent e727842 commit e3daa03eae1d96651b325cb099304436b320ec4a
Showing 3 changed files with 3 additions and 2 deletions.
@@ -11,6 +11,7 @@ keywords:
- nosql
home: https://couchdb.apache.org/
sources:
- https://github.com/apache/couchdb-helm
- https://github.com/apache/couchdb-docker
maintainers:
- name: kocolosk
@@ -23,7 +23,7 @@ $ helm install couchdb/couchdb \
## Prerequisites

- Kubernetes 1.9+ with Beta APIs enabled
- Ingress requires Kubernetes 1.14+
- Ingress requires Kubernetes 1.19+

## Installing the Chart

@@ -2,7 +2,7 @@
{{- $serviceName := include "couchdb.fullname" . -}}
{{- $servicePort := .Values.service.externalPort -}}
{{- $path := .Values.ingress.path | quote -}}
apiVersion: networking.k8s.io/v1beta1
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
name: {{ template "couchdb.fullname" . }}

0 comments on commit e3daa03

Please sign in to comment.